package com.blockchain.server.btc.feign;

import com.blockchain.common.base.dto.ResultDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

/**
 * @author zijie
 * @version 1.0
 * @className YyyyfMoneyFeign
 * @description
 * @date 2020-07-07 20:31
 */
@FeignClient("dapp-yyyf-server")
public interface YyyyfMoneyFeign {

    @GetMapping("/yyyfMoney/resetWallet")
    ResultDTO<Boolean> resetWallet(@RequestParam("assessUserId") String assessUserId, @RequestParam("coinName") String coinName, @RequestParam("balance") BigDecimal balance);
}
