package com.blockchain.server.yyyf.init;

import com.blockchain.server.yyyf.service.AssessUserService;

/**
 * @author Mr.Xu
 * @version 1.0
 * @className InitData
 * @description
 * @date 2020-05-06 15:42
 */
public class InitData {
    private  static InitData initData=null;

    public InitData(){

    }


    public static  InitData getInstance(){
        synchronized (InitData.class){
            if(initData==null){
                initData=new InitData();
            }
        }
        return initData;
    }


    public void init(){
        initExamPaperDto();
    }

    /**
     * @description 初始化试卷（项目）数据
     * @author Mr.Xu
     * @date  2020-05-06 16:21:52
     * @param []
     * @return void
     **/
    private void initExamPaperDto(){
        AssessUserService trainManageService= (AssessUserService) SpringContextUtil.getBean("assessUserService");
        trainManageService.initAllExamPaperDto();
    }


}
