package com.blockchain.server.yyyf.feign;

import com.blockchain.server.yyyf.feign.dto.CurrencyMarketDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "dapp-currency-server")
public interface CurrencyFeign {
    @GetMapping("/inner/market/getList")
    List<CurrencyMarketDTO> getList();

    @GetMapping("/inner/market/get")
    CurrencyMarketDTO get(@RequestParam("currencyPair") String currencyPair);
}
